scala.sys

# ShutdownHookThread

#### class ShutdownHookThread extends Thread

A minimal Thread wrapper to enhance shutdown hooks. It knows how to unregister itself.

Source
  ShutdownHookThread.scala
Version

  2.9

Since

  2.9

Linear Supertypes
Thread, Runnable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ShutdownHookThread
2. Thread
3. Runnable
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ShutdownHookThread to any2stringadd[ShutdownHookThread] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ShutdownHookThread, B)

   Implicit information
     This member is added by an implicit conversion from ShutdownHookThread to ArrowAssoc[ShutdownHookThread] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### final def checkAccess(): Unit

   Definition Classes
     Thread

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     Thread → AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (ShutdownHookThread) ⇒ Boolean, msg: ⇒ Any): ShutdownHookThread

   Implicit information
     This member is added by an implicit conversion from ShutdownHookThread to Ensuring[ShutdownHookThread] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (ShutdownHookThread) ⇒ Boolean): ShutdownHookThread

    Implicit information
      This member is added by an implicit conversion from ShutdownHookThread to Ensuring[ShutdownHookThread] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): ShutdownHookThread

    Implicit information
      This member is added by an implicit conversion from ShutdownHookThread to Ensuring[ShutdownHookThread] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): ShutdownHookThread

    Implicit information
      This member is added by an implicit conversion from ShutdownHookThread to Ensuring[ShutdownHookThread] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ShutdownHookThread to StringFormat[ShutdownHookThread] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread

19. #### def getId(): Long

    Definition Classes
      Thread

20. #### final def getName(): String

    Definition Classes
      Thread

21. #### final def getPriority(): Int

    Definition Classes
      Thread

22. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

23. #### def getState(): State

    Definition Classes
      Thread

24. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

25. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### def interrupt(): Unit

    Definition Classes
      Thread

28. #### final def isAlive(): Boolean

    Definition Classes
      Thread

29. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

32. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

33. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

34. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def remove(): Boolean

39. #### def run(): Unit

    Definition Classes
      Thread → Runnable

40. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

41. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

42. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

43. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

44. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

45. #### def start(): Unit

    Definition Classes
      Thread

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def toString(): String

    Definition Classes
      Thread → AnyRef → Any

48. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### def →[B](y: B): (ShutdownHookThread, B)

    Implicit information
      This member is added by an implicit conversion from ShutdownHookThread to ArrowAssoc[ShutdownHookThread] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def destroy(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### final def stop(arg0: java.lang.Throwable): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### final def suspend(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ShutdownHookThread to any2stringadd[ShutdownHookThread]

### Inherited by implicit conversion StringFormat from ShutdownHookThread to StringFormat[ShutdownHookThread]

### Inherited by implicit conversion Ensuring from ShutdownHookThread to Ensuring[ShutdownHookThread]

### Inherited by implicit conversion ArrowAssoc from ShutdownHookThread to ArrowAssoc[ShutdownHookThread]

### Ungrouped